import greenfoot.*;	 // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Healthbar here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Healthbar extends Player {
  private int count = 0;
  private int x;
  private int y;

  public void act() {
    setGetCoordinates();
    trackPlayer();
    checkPlayerHealth();
  }

  public void trackPlayer() {
    Mover move = (Mover) getOneObjectAtOffset(x, y, Mover.class);
    if (move != null) {
      int playerX = move.getX() - x;
      int playerY = move.getY() - y;
      setLocation(playerX, playerY);
    }
  }
  
  public void checkPlayerHealth() {
    PlayerShip plr = (PlayerShip) getOneObjectAtOffset(x, y, PlayerShip.class);
    if (plr == null) {
      selfDestruct();
    } else if (plr.getHealth() <= 75 && x == -50) {
      selfDestruct();
    } else if (plr.getHealth() <= 50 && x == -15) {
      selfDestruct();
    } else if (plr.getHealth() <= 25 && x == 20) {
      selfDestruct();
    } 
  }

  public void setGetCoordinates() {
    if (count == 0) {
      if (getX() == 145) {
        x = 55;
      } else if (getX() == 180) {
        x = 20;
      } else if (getX() == 215) {
        x = -15;
      } else x = -50;
      y = 55;
    }
    count++;
  }
}
