import greenfoot.*;	 // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Player here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Player extends Universal {
	private int count = 0;
	final int MAX_RELOAD_VAL = 150;
	int reload = MAX_RELOAD_VAL;
  public boolean delayStart() {
    
  	count++;
  	if (count < 50) {
    return true;
  	}
  	return false;
  }
  
  public void stopAtEdge() {
    if (getX() <= 60) {
      setLocation(61, getY());
    }
    if (getX() >= getWorld().getWidth() - 60) {
      setLocation(getWorld().getWidth() - 61, getY());
    }
    if (getY() <= 120) {
      setLocation(getX(), 121);
    }
    if (getY() >= getWorld().getHeight() - 40) {
      setLocation(getX(), getWorld().getHeight() - 41);
    }
  } 
  
  public void checkKeyPress() {
    if (Greenfoot.isKeyDown("down") || Greenfoot.isKeyDown("s")) {
      setRotation(90);
      move(2);
    }
    if (Greenfoot.isKeyDown("left") || Greenfoot.isKeyDown("a")) {
      setRotation(180);
      move(1);
    }
    if (Greenfoot.isKeyDown("up") || Greenfoot.isKeyDown("w")) {
      setRotation(270);
      move(2);
    }
    if (Greenfoot.isKeyDown("right") || Greenfoot.isKeyDown("d")) {
      setRotation(0);
      move(2);
    }
    if (Greenfoot.isKeyDown("shift")) {
      move(2);
    }
  }
  
  public void shoot() {
    if (Greenfoot.isKeyDown(" ")) {
    	if ((reload % 15) == 0) {
      spawnBullet();
      reload--;
    	} else if (reload == 0) reload = MAX_RELOAD_VAL;
    }
  }
  
  public void spawnBullet() {
    int topTurretX = getX() + 42;
    int topTurretY = getY() - 31;
    int botTurretX = getX() + 42;
    int botTurretY = getY() + 30;
    
    getWorld().addObject(new Laser(), topTurretX, topTurretY);
    getWorld().addObject(new Laser(), botTurretX, botTurretY);
    Greenfoot.playSound("laser.wav");
  }
}
