import greenfoot.*;	 // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Projectile here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Projectile extends Universal { 
	final int LASER_DAMAGE = 25;
	final int BOMB_DAMAGE = 45;
	
  public void hitBomb() {
    Actor bomb = getOneObjectAtOffset(0, 0, BadBomb.class);
    getWorld().removeObject(bomb);
    Greenfoot.playSound("explode.wav");
    selfDestruct();
  }
  
  public void laserDamage() {
    if (canSee(SmallShip.class)) {
      hitSmall(LASER_DAMAGE);
    } else if (canSee(LargeShip.class)) {
      hitLarge(LASER_DAMAGE);
    } else if (canSee(BadBomb.class)) {
      hitBomb();
    }
  }
  
  public void bombDamage() {
    if (canSee(PlayerShip.class)) {
      hitPlayer(BOMB_DAMAGE);
    }
  }
}
