import greenfoot.*;	 // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class WorldLimits here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Universal extends Actor {
  public boolean atWorldEdge() {
    if (getX() < 10 || getX() > getWorld().getWidth() - 10) {
      return true;
    }
    if (getY() < 10 || getY() > getWorld().getHeight() - 10) {
      return true;
    } return false;
  }
  
  public boolean canSee(Class actorClass) {
    Actor test = getOneObjectAtOffset(0, 0, actorClass);
    if (test != null) {
      return true;
    }
    return false;
  }
  
  public void eat(Class clss)
  {
      Actor actor = getOneObjectAtOffset(0, 0, clss);
      if (actor != null) {
          getWorld().removeObject(actor);
      }
  }

  public boolean atLeftEdge() {
    if (getX() < 10) {
      return true;
    } return false;
  }

  public void selfDestruct() {
    getWorld().removeObject(this);
  }
  
  public void hitSmall(int damage) {
    SmallShip small = (SmallShip) getOneObjectAtOffset(0, 0, SmallShip.class);
    int temp = small.getHealth() - damage;
    if (temp > 0) {
      Greenfoot.playSound("hit.wav");
      small.setHealth(temp);
    } else if (temp <= 0){
      List<Score> scoreList = getWorld().getObjectsAt(getWorld().getWidth() - 100, 31, Score.class);
      if (scoreList.size() > 0) {
        Score score = scoreList.get(0);
        int newScore = score.getScore();
        score.setScore(newScore + 25);
      }
      eat(SmallShip.class);
      Greenfoot.playSound("explode.wav");
    }
    selfDestruct();
  }

  public void hitLarge(int damage) {
    LargeShip large = (LargeShip) getOneObjectAtOffset(0, 0, LargeShip.class);
    int temp = large.getHealth() - damage;
    if (temp > 0) {
      Greenfoot.playSound("hit.wav");
      large.setHealth(temp);
    } else if (temp <= 0) {
      List<Score> scoreList = getWorld().getObjectsAt(getWorld().getWidth() - 100, 31, Score.class);
      if (scoreList.size() > 0) {
        Score score = scoreList.get(0);
        int newScore = score.getScore();
        score.setScore(newScore + 50);
      }
      eat(SmallShip.class);
      Greenfoot.playSound("explode.wav");
    }
    selfDestruct();
  }
  
  public void hitPlayer(int damage) {
    PlayerShip ship = (PlayerShip) getOneObjectAtOffset(0, 0, PlayerShip.class);
    if (!ship.isInvincible()) {
      int temp = ship.getHealth() - damage;
      if (temp > 0) {
        ship.setHealth(temp);
        Greenfoot.playSound("hurt.wav");
      } else {
        getWorld().removeObject(ship);
      }
  	}
    selfDestruct();
  }
  
  
  public void hitWall(int damage) {
    SpaceWall wall = (SpaceWall) getOneObjectAtOffset(0, 0, SpaceWall.class);
    int temp = wall.getHealth() - damage;
    if (temp > 0) {
      wall.setHealth(temp);
    } else {
      getWorld().removeObject(wall);
    }
    selfDestruct();
  }
}
